Package com.mockobjects.io

# Class MockFileInputStream

java.lang.Object
java.io.InputStream
java.io.FileInputStream
com.mockobjects.io.MockFileInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class MockFileInputStream extends FileInputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`KNOWN_FILE`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`void`
`mark(int readlimit)`
`static MockFileInputStream`
`newMockFileInputStream()`
`int`
`read()`
`int`
`read(byte[] b)`
`int`
`read(byte[] b, int off, int len)`
`void`
`setupContents(String contents)`
`long`
`skip(long n)`

### Methods inherited from class java.io.FileInputStream

`close, getChannel, getFD, readAllBytes, readNBytes, transferTo`

### Methods inherited from class java.io.InputStream

`markSupported, nullInputStream, readNBytes, reset, skipNBytes`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KNOWN_FILE

public static final String KNOWN_FILE

See Also:
  - Constant Field Values

## Method Details

### newMockFileInputStream

public static MockFileInputStream newMockFileInputStream()

### available

public int available() throws IOException

Overrides:
  `available` in class `FileInputStream`
Throws:
  `IOException`

### mark

public void mark(int readlimit)

Overrides:
  `mark` in class `InputStream`

### read

public int read() throws IOException

Overrides:
  `read` in class `FileInputStream`
Throws:
  `IOException`

### read

public int read(byte[] b) throws IOException

Overrides:
  `read` in class `FileInputStream`
Throws:
  `IOException`

### read

public int read(byte[] b, int off, int len) throws IOException

Overrides:
  `read` in class `FileInputStream`
Throws:
  `IOException`

### setupContents

public void setupContents(String contents)

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `FileInputStream`
Throws:
  `IOException`